Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-16379

Update deprecated event dispatcher class

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.3.0
    • Fix Version/s: 3.3.1-RC1
    • Component/s: Events
    • Labels:
      None

      Description

      The event dispatcher \phpbb\event\dispatcher, extends a deprecated Symfony class.

       

      Error message:

      Deprecated because: since 3.3, to be removed in 4.0. Use EventDispatcher with closure factories instead.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Marc Marc
                Reporter:
                mrgoldy mrgoldy
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: